Speechbase

Update a voice

Updates an existing voice. Only provided fields are changed.

PUT
/v1/voices/{voiceId}

Updates an existing voice. Only provided fields are changed.

Authorization

bearerAuth
AuthorizationBearer <token>

API key

In: header

Path Parameters

voiceId*string

Voice UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/voices/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Authorization: Bearer $SPEECHBASE_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "org_id": "string",
    "title": "string",
    "provider": "string",
    "model": "string",
    "voice_id": "string",
    "tags": [
      "string"
    ],
    "gender": "string",
    "description": "string",
    "provider_options": {
      "property1": null,
      "property2": null
    },
    "created_at": "string",
    "updated_at": "string"
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}